import { match_status } from '../../utils/dict';
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '赛事信息', leftArrow: true, useBar: false },
        fileUrl: app.globalData.fileUrl,
        user: {},
        id: '',
        info: {},
        // 选项卡
        tabs: {
            active: 'a',
            list: [
                { title: '规程', name: 'a' },
                { title: '选手', name: 'b' },
                { title: '秩序册', name: 'c' },
                { title: '赛况', name: 'd' },
                { title: '成绩册', name: 'e' },
            ],
        },
        // 选手
        bActive: '0',
        groupList: []
    },
    // 跳转菜单
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    // 选项卡
    tabsChange: function (e) {
        const that = this;
        const { name } = e.detail;
        if (name == 'c' || name == "d" || name == "e") {
            wx.showToast({ title: `暂无发布`, icon: 'error', duration: 2000 });
        } else {
            that.setData({ 'tabs.active': e.detail.name });
        }
    },
    // 更多
    toCommon: function (e) {
        const { route } = e.currentTarget.dataset;
        wx.redirectTo({ url: `/pages/${route}/index` })
    },
    // 报名
    toSign: function (e) {
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/matchInfo/sign?id=${item._id}` })
    },
    // 选择手风琴
    bChange: function (e) {
        const that = this;
        that.setData({ bActive: e.detail })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.setData({ id: options.id || '62e388d4fd61d871861b80af' });
        // 监听用户是否登录
        that.watchLogin();
    },
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                that.setData({ user: res.data })
                if (that.data.id) {
                    let arr;
                    arr = await app.$get(`/newCourt/api/match/${that.data.id}`);
                    if (arr.errcode == '0') {
                        arr.data.statusZh = that.getStatusZh(arr.data.status);
                        that.setData({ info: arr.data })
                    } else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
                    arr = await app.$get(`/newCourt/api/view/groupProjectUser?match_id=${that.data.id}`);
                    if (arr.errcode == '0') { that.setData({ groupList: arr.data }) }
                }
            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },
    getStatusZh(status) {
        let word = "未知"
        let data = match_status.find((i) => i.label == status);
        if (data) word = data.value;
        return word;
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})